import "reflect-metadata";
import type { Options } from "yargs";
interface IOptionProperties extends Options {
    envAlias?: string;
}
export declare function YargOption(properties: IOptionProperties): (target: object, propertyKey: string) => void;
export declare function getYargsOption<T>(target: any): Record<keyof T, IOptionProperties>;
export declare function getBuilder(options: any): (y: any) => Promise<any>;
export declare function getYargsOptions<T>(target: any): Record<keyof T, Options>;
export declare function loadYargsConfig<T>(cls: new () => T, _argv: Record<string, unknown>): Promise<T>;
export {};
